# Uses of Interface
java.lang.classfile.attribute.DeprecatedAttribute

Packages that use DeprecatedAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of DeprecatedAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type DeprecatedAttribute
Modifier and Type
Method
Description
`static AttributeMapper<DeprecatedAttribute>`
Attributes.`deprecated()`
Returns the mapper for the `Deprecated` attribute.

## Uses of DeprecatedAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type DeprecatedAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`DeprecatedAttribute`
Models the `Deprecated` attribute (JVMS 4.7.15), which indicates this structure has been superseded.
Methods in java.lang.classfile.attribute that return DeprecatedAttribute
Modifier and Type
Method
Description
`static DeprecatedAttribute`
DeprecatedAttribute.`of()`
Returns a `Deprecated` attribute.